Bug 922475 - PRD33 - [RFE] Backup and Restore API for Independent Software Vendors
Summary: PRD33 - [RFE] Backup and Restore API for Independent Software Vendors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.3.0
Assignee: Liron Aravot
QA Contact: Elad
URL:
Whiteboard: storage
: 787918 891908 (view as bug list)
Depends On: 1028759 1028768
Blocks: 523354 891908 975685 978829 978830 1019470 3.3snap1 1054231
TreeView+ depends on / blocked
 
Reported: 2013-03-17 10:18 UTC by Sean Cohen
Modified: 2018-12-06 14:59 UTC (History)
15 users (show)

Fixed In Version: is20.2
Doc Type: Release Note
Doc Text:
Red Hat Enterprise Virtualization now provides an API set for Independent Software Vendors (ISVs) to backup and restore virtual machines. For backup, a snapshot of a virtual machine's disk is created then attached to a virtual appliance. For restore, disks are attached to a virtual appliance, the data is restored to the disks, then the disks are attached to a virtual machine
Clone Of:
: 975685 1054231 (view as bug list)
Environment:
Last Closed: 2014-01-21 17:15:28 UTC
oVirt Team: Storage
scohen: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0038 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.3.0 update 2014-01-21 22:03:06 UTC
oVirt gerrit 20457 None None None Never
oVirt gerrit 20458 None None None Never
oVirt gerrit 20507 None None None Never
oVirt gerrit 20712 None None None Never
oVirt gerrit 20818 None None None Never
oVirt gerrit 20897 None None None Never
oVirt gerrit 20969 None None None Never
oVirt gerrit 21111 None None None Never

Description Sean Cohen 2013-03-17 10:18:06 UTC
This feature allows RHEV users to backup and restore VMs using Independent Software Vendors. New set of APIs will be introduced in RHEV to facilitate taking full VM backup, as well as full or file level restore of VMs. 
olicies set up by the backup machine administrator.
File level restore

oVirt feature page: http://www.ovirt.org/Features/Backup-Restore_API_Integration

Comment 1 Sean Cohen 2013-04-14 09:25:36 UTC
See Bug 951904 - (qemu-ga) Tracker: Guest Quiesce for application-level consistency for VSS & qemu-ga freeze/thaw hooks for Linux guests.

Comment 2 Ayal Baron 2013-06-20 08:14:32 UTC
*** Bug 891908 has been marked as a duplicate of this bug. ***

Comment 8 Elad 2013-12-19 16:51:02 UTC
Test run was executed:
https://tcms.engineering.redhat.com/run/97680/

Moving to verified

Comment 9 Itamar Heim 2013-12-29 09:17:29 UTC
*** Bug 787918 has been marked as a duplicate of this bug. ***

Comment 11 errata-xmlrpc 2014-01-21 17:15:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html


Note You need to log in before you can comment on or make changes to this bug.